# NameTag
[![Build Status](https://travis-ci.org/ufal/nametag.svg?branch=master)](https://travis-ci.org/ufal/nametag)

NameTag is an open-source tool for named entity recognition (NER). NameTag
identifies proper names in text and classifies them into predefined categories,
such as names of persons, locations, organizations, etc. NameTag is distributed
as a standalone tool or a library, along with trained linguistic models. In the
Czech language, NameTag achieves state-of-the-art performance
([Straková et al. 2013](http://ufal.mff.cuni.cz/~straka/papers/2013-tsd_ner.pdf)).
NameTag is a free software under [Mozilla Public License 2.0](http://www.mozilla.org/MPL/2.0/)
license and the linguistic models are free for non-commercial use and
distributed under [CC BY-NC-SA](http://creativecommons.org/licenses/by-nc-sa/3.0/)
license, although for some models the original data used to create the model
may impose additional licensing conditions. NameTag is versioned using
[Semantic Versioning](http://semver.org/).

Copyright 2016 by Institute of Formal and Applied Linguistics, Faculty of
Mathematics and Physics, Charles University in Prague, Czech Republic.

NameTag website http://ufal.mff.cuni.cz/nametag contains download links
of both the released packages and trained models, hosts documentation and
offers online demo.

NameTag development repository http://github.com/ufal/nametag is hosted on
GitHub.
